------------------------------------------------------------------------------------
--Name:  	baiqing6
--Creator:	由剧情表现脚本编辑器生成
--Created:	2025-01-23
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(86, 70)
local monster_0 = CppScriptMgr:AddPlayer(146, 88, 72, "", 0, 0)
monster_0:SetHide(1)
monster_0:SetZoomPercent(5)
monster_0:SetDir(7)
local effect_0 = CppScriptMgr:AddEffect("zf2-e233", 88, 72, 33, 1, 1, 1)
effect_0:Scale(1.5, 1.5, 1.5)
CppScriptMgr:WaitMilSec(500)
monster_0:SetHide(0)
local effect_1 = CppScriptMgr:AddEffect("xuanyuan_skill5xh", 88, 72, 33, 1, 1, 1)
monster_0:SetAction(101)
CppScriptMgr:WaitMilSec(80)
ChangeNpcZoom(monster_0, 5, 250, 3, 10)
CppScriptMgr:WaitMilSec(900)
monster_0:SetAction(101)
local effect_3 = CppScriptMgr:AddEffect("Attack35r", 88, 72, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(940)
local effect_5 = CppScriptMgr:AddEffect("xuanyuan_skill5xh", 88, 72, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(60)
monster_0:SetAction(401)
monster_0:Say("Darkness will consume all, and I shall reign as the eternal night`s sovereign.", 2000)
CppScriptMgr:WaitMilSec(640)
CppScriptMgr:ShakeScrEffect(3)
CppScriptMgr:WaitMilSec(320)
local effect_4 = CppScriptMgr:AddEffect("ride_screen", 88, 72, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(2540)